2017-12-17 10:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003421Kali Linux[All Projects] New Tool Requestspublic2016-07-27 20:56
ReporterSpyro 
Assigned Tosbrun 
PrioritylowSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version2016.1 
Target Version2016.2Fixed in Version2016.2 
Summary0003421: Add wifiPhisher tool
DescriptionPLease add wifiPhisher tool from https://github.com/sophron/wifiphisher
Attached Files

-Relationships
+Relationships

-Notes

~0005588

rhertzog (administrator)

Sophie please package it ASAP (before Wednesday), thanks.

~0005600

sbrun (manager)

version 1.1+git20160725-0kali1 is in kali-rolling

~0005603

dookie (administrator)

As packaged, it's missing python-pyric as a depend, otherwise it errors out as follows. Installing python-pyric fixes it.

root@kali:~# wifiphisher
Traceback (most recent call last):
  File "/usr/bin/wifiphisher", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2927, in <module>
    @_call_aside
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2913, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 2940, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 635, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 943, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 829, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'PyRIC' distribution was not found and is required by wifiphisher

~0005604

dookie (administrator)

Wifisphisher requires python-pyric as a depend, otherwise it fails to launch.

~0005605

sbrun (manager)

dependency problem is fixed in version 1.1+git20160725-0kali2

~0005606

dookie (administrator)

That fixed it. Thanks for the quick turnaround, Sophie.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-17 06:38 Spyro New Issue
2016-07-24 15:54 rhertzog Assigned To => sbrun
2016-07-24 15:54 rhertzog Status new => assigned
2016-07-24 15:54 rhertzog Target Version => 2016.2
2016-07-24 15:55 rhertzog Note Added: 0005588
2016-07-27 12:49 sbrun Note Added: 0005600
2016-07-27 12:49 sbrun Status assigned => resolved
2016-07-27 12:49 sbrun Resolution open => fixed
2016-07-27 12:49 sbrun Fixed in Version => 2016.2
2016-07-27 15:12 dookie Note Added: 0005603
2016-07-27 15:24 dookie Note Added: 0005604
2016-07-27 15:24 dookie Status resolved => assigned
2016-07-27 19:03 sbrun Note Added: 0005605
2016-07-27 19:03 sbrun Status assigned => resolved
2016-07-27 20:56 dookie Note Added: 0005606
+Issue History